[bumpversion]
current_version = 0.1.0
commit = True
tag = True

[bumpversion:file:setup.py]
search = version='{current_version}'
replace = version='{new_version}'

[bumpversion:file:sirbot/__init__.py]
search = __version__ = '{current_version}'
replace = __version__ = '{new_version}'

[wheel]
universal = 1

[metadata]
description-file = README.rst

[tool:pytest]
addopts = --verbose --cov=sirbot/ tests/

[aliases]
test=pytest

[style]
align_closing_bracket_with_visual_indent = true
based_on_style = chromium
blank_line_before_nested_class_or_def = true
coalesce_brackets = false
column_limit = 120
continuation_indent_width = 4
dedent_closing_brackets = true
indent_dictionary_value = true
indent_width = 4
join_multiple_lines = false
spaces_before_comment = 1
space_between_ending_comma_and_closing_bracket = false
split_arguments_when_comma_terminated = true
split_before_logical_operator = true
split_before_first_argument = true

[flake8]
ignore = E203
exclude =
    .git,
    __pycache__,
    docs/source/conf.py,
    old,
    build,
    dist,
    .tox
max-complexity = 10
